%define pypi_name pathlib2

Name:           python-pathlib2
Version:        2.3.5
Release:        %mkrel 2
Group:          Development/Python
Summary:        Object-oriented filesystem paths

License:        MIT
URL:            https://pypi.python.org/pypi/pathlib2
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
The goal of pathlib2 is to provide a backport of standard pathlib module which
tracks the standard library module, so all the newest features of the standard
pathlib can be used also on older Python versions.

%package -n python3-%{pypi_name}
Summary:        Object-oriented filesystem paths
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(scandir)
Requires:       python3dist(mock)

%description -n python3-%{pypi_name}
The goal of pathlib2 is to provide a backport of standard pathlib module which
tracks the standard library module, so all the newest features of the standard
pathlib can be used also on older Python versions.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE.rst
%{python3_sitelib}/pathlib2-%{version}-py?.?.egg-info/
%{python3_sitelib}/pathlib2/


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 2.3.5-2.mga8
+ Revision: 1538097
- Mageia 8 Mass Rebuild

* Wed Nov 13 2019 daviddavid <daviddavid> 2.3.5-1.mga8
+ Revision: 1459723
- new version: 2.3.5

* Wed Sep 04 2019 wally <wally> 2.3.4-1.mga8
+ Revision: 1437267
- new version 2.3.4
- drop python2 support
- rebuild for python3.8

* Wed Jan 09 2019 shlomif <shlomif> 2.3.3-2.mga7
+ Revision: 1353720
- Rebuild for python3 3.7

* Tue Jan 01 2019 wally <wally> 2.3.3-1.mga7
+ Revision: 1347998
- new version 2.3.3

* Thu Sep 20 2018 umeabot <umeabot> 2.3.2-2.mga7
+ Revision: 1289657
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 2.3.2-1.mga7
+ Revision: 1220616
- Update to version 2.3.2
- Renamed python-pathlib2 to python2-pathlib2
- Added python3-pathlib2
- Use python_provide

* Tue Aug 15 2017 philippem <philippem> 2.3.0-1.mga7
+ Revision: 1140986
- update to 2.3.0

* Fri Apr 15 2016 philippem <philippem> 2.1.0-1.mga6
+ Revision: 1002842
- imported package python-pathlib2

